Subject: Re: How to make cygwin/bash shell work in emacs
From: "Ehud Karni" <[email-masked]>
To: "Roman Adar" <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Tue, 2 Oct 2001 03:57:07 +0200

On Mon, 1 Oct 2001 18:14:44 -0700, Roman Adar <[email-masked]> wrote:
> 
> I'm still having a minor problem. The Perl I'm running from the "cygwin"
> command line is the ActiveState Perl. I've modified the /etc/profile file to
> look 1st in the c:/Program Files/bin directory. However when I do "which
> perl" in the shell within emacs, the shell that is invoked is the "cygwin"
> Perl, from the /usr/bin directory. This is what I do not want.
> 
> So my question is how do I force also in the shell that is spawned in the
> emacs to invoke the correct Perl.

From the Bash man page:
       Non-login interactive shells:
         On startup (subject to the -norc and -rcfile options):
               if ~/.bashrc exists, source it.

       Non-interactive shells:
         On startup:
               if the environment variable ENV is non-null, expand
               it and source the file it names, as if the command
                       if [ "$ENV" ]; then . $ENV; fi
               had been executed, but do not use PATH to search
               for the pathname.  When not started in Posix mode, bash
               looks for BASH_ENV before ENV.

Emacs starts Bash as "Non-login interactive shells". To make thing
easier I suggest you set "BASH_ENV" to "/etc/profile" in ~/.emacs:
    (setenv "BASH_ENV" "/etc/profile")

[ This is really Bash/Cygwin problem not Emacs, so I cross post ]

Ehud.

-- 
 Ehud Karni     Mivtach - Simon  Insurance   /"\
 Tel: +972-3-7966-561 Fax: +972-3-7966-667   \ /  ASCII Ribbon Campaign
 (USA) Fax and  voice  mail: 1-815-5509341    X   Against  HTML  Mail
     Better     Safe     Than     Sorry      / \
     mailto:[email-masked]    http://www.simonwiesel.co.il

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/